Bug 499298 - Crashes shortly after making a second call
Crashes shortly after making a second call
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 21:01 EDT by Jesse Kahtava
Modified: 2009-05-28 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 20:50:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ekiga -d 4 (158.38 KB, text/plain)
2009-05-05 21:01 EDT, Jesse Kahtava
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 582045 None None None Never

  None (edit)
Description Jesse Kahtava 2009-05-05 21:01:17 EDT
Created attachment 342567 [details]
ekiga -d 4

Description of problem:
I can usually make at least one call with Ekiga (sometimes I don't get any audio being returned, though the firewall settings seem to be right), but when I end that call and try to make another call Ekiga soon crashes. Sometimes I can hear a couple seconds of the second call before it crashes, but I've not yet successfully made multiple calls. The output without -d 4 as an arg shows the following:

      assert.cxx(108)	PWLib	Assertion fail: Function pthread_mutex_unlock failed, file ptlib/unix/tlibthrd.cxx, line 1421
Assertion fail: Function pthread_mutex_unlock failed, file ptlib/unix/tlibthrd.cxx, line 1421

<A>bort, <C>ore dump?

I've attached the output with -d 4.


Version-Release number of selected component (if applicable):
opal-3.6.1-3.fc11
ekiga-3.2.0-2.fc11

How reproducible:
Every time I finish one call and try to make another.

Steps to Reproduce:
1. Open Ekiga and make a call
2. Hang up
3. Try to make another call

  
Actual results:
Ekiga crashes

Expected results:
That the second call would stay alive

Additional info:
Comment 1 Peter Robinson 2009-05-06 04:38:14 EDT
I'm not sure but it might be issues with PulseAudio or audio as opposed to firewall rules. Do you get a traceback when it crashes? If so can I get you to install the debuginfo packages? 

Also does the sounds stop working for any other apps when you have the issue or if you kill the pulseaudio demon does it work?

If you do get a consistent traceback? If so can you install the following list of debuginfo packages so we can get a useful traceback and then run ekiga from the command line.

yum install -y GConf2-debuginfo speex-debuginfo glibc-debuginfo cyrus-sasl-debuginfo opal-debuginfo libv4l-debuginfo ekiga-debuginfo ptlib-debuginfo gtk2-debuginfo evolution-debuginfo gvfs-debuginfo glib2-debuginfo evolution-data-server-debuginfo libnotify-debuginfo alsa-lib-debuginfo

Finally can you also let me know your version of ptlib.

Thanks :-)
Comment 2 Peter Robinson 2009-05-20 09:04:06 EDT
There is a new build in koji that should improve the stability of ekiga 3.2 substantially. Can you possibly try it and update the ticket.

ptlib: http://koji.fedoraproject.org/koji/buildinfo?buildID=102794
opal: http://koji.fedoraproject.org/koji/buildinfo?buildID=102815
ekiga: http://koji.fedoraproject.org/koji/taskinfo?taskID=1365837
Comment 3 Jesse Kahtava 2009-05-20 20:50:04 EDT
Installed the following packages and they have fixed the problem. Ekiga feels much more stable now.
Comment 4 Fedora Update System 2009-05-21 04:03:17 EDT
ekiga-3.2.4-1.fc11,opal-3.6.2-1.fc11,ptlib-2.6.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ekiga-3.2.4-1.fc11,opal-3.6.2-1.fc11,ptlib-2.6.2-1.fc11
Comment 5 Fedora Update System 2009-05-28 13:03:03 EDT
opal-3.6.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/opal-3.6.2-2.fc11

Note You need to log in before you can comment on or make changes to this bug.